import processing.serial.*;

import eeml.*;

Serial myPort;        // The serial port
float myValue;

DataOut dOut;

void setup()
{
 // List all the available serial ports
 println(Serial.list());
 // I know that the first port in the serial list on my mac
 // is always my  Arduino, so I open Serial.list()[0].
 // Open whatever port is the one you're using.
 myPort = new Serial(this, Serial.list()[4], 9600);
 // don't generate a serialEvent() unless you get a newline character:
 myPort.bufferUntil('\n');
 
 dOut = new DataOut(this, "[yourfeed]", "[yourkey]"); 
  
 dOut.addData(0,"Frequency");
 
 //dOut.setUnits(0, "Hertz", "Hz", "SI");
 
}

 void draw () {
 // everything happens in the serialEvent()
 }

void serialEvent (Serial myPort) {
 
  // get the ASCII string:
 
 String inString = myPort.readStringUntil('\n');
 
 if (inString != null) {
 
  // trim off any whitespace:

 inString = trim(inString);
 
 print("ready to PUT: ");
 
 println(inString);
        
 dOut.update(0, inString);
        
 int response = dOut.updatePachube(); 
 
 println(response);
 
 delay(8000);
  
 }
 
}

